// -*- c++ -*-
// Generated by gmmproc 2.42.0 -- DO NOT MODIFY!
#ifndef _CLUTTER_GTKMM_EMBED_H
#define _CLUTTER_GTKMM_EMBED_H


#include <glibmm/ustring.h>
#include <sigc++/sigc++.h>

/* Copyright (C) 2008-2009 The cluttermm Development Team
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <cluttermm/stage.h>
#include <gtkmm/container.h>


#ifndef DOXYGEN_SHOULD_SKIP_THIS
typedef struct _GtkClutterEmbed GtkClutterEmbed;
typedef struct _GtkClutterEmbedClass GtkClutterEmbedClass;
#endif /* DOXYGEN_SHOULD_SKIP_THIS */


namespace Clutter
{

namespace Gtk
{ class Embed_Class; } // namespace Gtk

} // namespace Clutter
namespace Clutter
{
namespace Gtk
{

/** This widget embeds a Clutter::Stage, allowing you to build, show and
 * interact with a scene built using Clutter, inside a gtkmm application.
 *
 * @note To avoid flickering on show(), you should call Gtk::Widget::show()
 * or Gtk::Widget::realize() before calling Clutter::Actor::show() on the
 * embedded Clutter::Stage actor. This is needed for Clutter to be able to
 * paint on the Clutter::Gtk::Embed widget.
 */

class Embed : public ::Gtk::Container
{
  public:
#ifndef DOXYGEN_SHOULD_SKIP_THIS
  typedef Embed CppObjectType;
  typedef Embed_Class CppClassType;
  typedef GtkClutterEmbed BaseObjectType;
  typedef GtkClutterEmbedClass BaseClassType;
#endif /* DOXYGEN_SHOULD_SKIP_THIS */

  virtual ~Embed();

#ifndef DOXYGEN_SHOULD_SKIP_THIS

private:
  friend class Embed_Class;
  static CppClassType embed_class_;

  // noncopyable
  Embed(const Embed&);
  Embed& operator=(const Embed&);

protected:
  explicit Embed(const Glib::ConstructParams& construct_params);
  explicit Embed(GtkClutterEmbed* castitem);

#endif /* DOXYGEN_SHOULD_SKIP_THIS */

public:

  /** Get the GType for this class, for use with the underlying GObject type system.
   */
  static GType get_type()      G_GNUC_CONST;

#ifndef DOXYGEN_SHOULD_SKIP_THIS


  static GType get_base_type() G_GNUC_CONST;
#endif

  ///Provides access to the underlying C GtkObject.
  GtkClutterEmbed*       gobj()       { return reinterpret_cast<GtkClutterEmbed*>(gobject_); }

  ///Provides access to the underlying C GtkObject.
  const GtkClutterEmbed* gobj() const { return reinterpret_cast<GtkClutterEmbed*>(gobject_); }


public:
  //C++ methods used to invoke GTK+ virtual functions:

protected:
  //GTK+ Virtual Functions (override these to change behaviour):

  //Default Signal Handlers::


private:


public:
  Embed();

 
  /** Retrieves the Clutter::Stage from @a embed. The returned stage can be
   * used to add actors to the Clutter scene.
   * 
   * @return The Clutter stage. You should never destroy or unref
   * the returned actor.
   * 
   * @newin{0,6}.
   */
  Glib::RefPtr<Stage> get_stage();
  
  /** Retrieves the Clutter::Stage from @a embed. The returned stage can be
   * used to add actors to the Clutter scene.
   * 
   * @return The Clutter stage. You should never destroy or unref
   * the returned actor.
   * 
   * @newin{0,6}.
   */
  Glib::RefPtr<const Stage> get_stage() const;

  
  void set_use_layout_size(bool use_layout_size =  true);
  //gtkmmproc error: gtk_clutter_embed_get_honor_stage_size : method defs lookup failed (1) // there is a typo in clutter-gtk

  #ifdef GLIBMM_PROPERTIES_ENABLED
/** Whether to use the reported size of the LayoutManager on the stage as the widget size.
   *
   * You rarely need to use properties because there are get_ and set_ methods for almost all of them.
   * @return A PropertyProxy that allows you to get or set the value of the property,
   * or receive notification when the value of the property changes.
   */
  Glib::PropertyProxy< bool > property_use_layout_size() ;
#endif //#GLIBMM_PROPERTIES_ENABLED

#ifdef GLIBMM_PROPERTIES_ENABLED
/** Whether to use the reported size of the LayoutManager on the stage as the widget size.
   *
   * You rarely need to use properties because there are get_ and set_ methods for almost all of them.
   * @return A PropertyProxy_ReadOnly that allows you to get the value of the property,
   * or receive notification when the value of the property changes.
   */
  Glib::PropertyProxy_ReadOnly< bool > property_use_layout_size() const;
#endif //#GLIBMM_PROPERTIES_ENABLED


};

} // namespace Gtk
} // namespace Clutter

//vim: ts=2,sw=2


namespace Glib
{
  /** A Glib::wrap() method for this object.
   * 
   * @param object The C instance.
   * @param take_copy False if the result should take ownership of the C instance. True if it should take a new copy or ref.
   * @result A C++ instance that wraps this C instance.
   *
   * @relates Clutter::Gtk::Embed
   */
  Clutter::Gtk::Embed* wrap(GtkClutterEmbed* object, bool take_copy = false);
} //namespace Glib


#endif /* _CLUTTER_GTKMM_EMBED_H */

